Get account credit usage
curl --request GET \
--url https://mcp.enricho.co/api/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.enricho.co/api/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://mcp.enricho.co/api/billing/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"result": {
"plan": "free",
"credits_limit": 100,
"credits_remaining": 90,
"monthly_credits_remaining": 90,
"topup_credits": 0,
"period_start": "2026-10-01T00:00:00Z",
"period_end": "2026-11-01T00:00:00Z"
},
"message": "Credit usage loaded."
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}Billing and usage
Get account usage
Authenticated account plan, spendable credits and UTC monthly period.
GET
/
api
/
billing
/
usage
Get account credit usage
curl --request GET \
--url https://mcp.enricho.co/api/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.enricho.co/api/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://mcp.enricho.co/api/billing/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"result": {
"plan": "free",
"credits_limit": 100,
"credits_remaining": 90,
"monthly_credits_remaining": 90,
"topup_credits": 0,
"period_start": "2026-10-01T00:00:00Z",
"period_end": "2026-11-01T00:00:00Z"
},
"message": "Credit usage loaded."
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}{
"success": false,
"result": {
"code": "<string>"
},
"message": "<string>"
}curl 'https://mcp.enricho.co/api/billing/usage' \
-H 'Authorization: Bearer enr_YOUR_API_KEY'
plan: current account plan.credits_limit: monthly allowance, excluding purchased top-ups.monthly_credits_remaining: unused credits for the calendar month.topup_credits: purchased balance, not reset at month boundaries.credits_remaining: monthly remaining plus top-ups.period_start,period_end: start of this and next calendar month, UTC.